## org.eclipse.ocl.cst
Interface CSTFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  CSTFactoryImpl

    public interface CSTFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `CSTPackage`

Field Summary
`static CSTFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`BooleanLiteralExpCS` `createBooleanLiteralExpCS()` Returns a new object of class 'Boolean Literal Exp CS'
`CallExpCS` `createCallExpCS()` Returns a new object of class 'Call Exp CS'
`ClassifierContextDeclCS` `createClassifierContextDeclCS()` Returns a new object of class 'Classifier Context Decl CS'
`CollectionLiteralExpCS` `createCollectionLiteralExpCS()` Returns a new object of class 'Collection Literal Exp CS'
`CollectionLiteralPartCS` `createCollectionLiteralPartCS()` Returns a new object of class 'Collection Literal Part CS'
`CollectionRangeCS` `createCollectionRangeCS()` Returns a new object of class 'Collection Range CS'
`CollectionTypeCS` `createCollectionTypeCS()` Returns a new object of class 'Collection Type CS'
`DefCS` `createDefCS()` Returns a new object of class 'Def CS'
`DefExpressionCS` `createDefExpressionCS()` Returns a new object of class 'Def Expression CS'
`DerValueCS` `createDerValueCS()` Returns a new object of class 'Der Value CS'
`EnumLiteralExpCS` `createEnumLiteralExpCS()` Returns a new object of class 'Enum Literal Exp CS'
`FeatureCallExpCS` `createFeatureCallExpCS()` Returns a new object of class 'Feature Call Exp CS'
`IfExpCS` `createIfExpCS()` Returns a new object of class 'If Exp CS'
`InitValueCS` `createInitValueCS()` Returns a new object of class 'Init Value CS'
`IntegerLiteralExpCS` `createIntegerLiteralExpCS()` Returns a new object of class 'Integer Literal Exp CS'
`InvalidLiteralExpCS` `createInvalidLiteralExpCS()` Returns a new object of class 'Invalid Literal Exp CS'
`InvCS` `createInvCS()` Returns a new object of class 'Inv CS'
`IsMarkedPreCS` `createIsMarkedPreCS()` Returns a new object of class 'Is Marked Pre CS'
`IterateExpCS` `createIterateExpCS()` Returns a new object of class 'Iterate Exp CS'
`IteratorExpCS` `createIteratorExpCS()` Returns a new object of class 'Iterator Exp CS'
`LetExpCS` `createLetExpCS()` Returns a new object of class 'Let Exp CS'
`LoopExpCS` `createLoopExpCS()` Returns a new object of class 'Loop Exp CS'
`MessageExpCS` `createMessageExpCS()` Returns a new object of class 'Message Exp CS'
`NullLiteralExpCS` `createNullLiteralExpCS()` Returns a new object of class 'Null Literal Exp CS'
`OCLDocumentCS` `createOCLDocumentCS()` Returns a new object of class 'OCL Document CS'
`OCLMessageArgCS` `createOCLMessageArgCS()` Returns a new object of class 'OCL Message Arg CS'
`OperationCallExpCS` `createOperationCallExpCS()` Returns a new object of class 'Operation Call Exp CS'
`OperationContextDeclCS` `createOperationContextDeclCS()` Returns a new object of class 'Operation Context Decl CS'
`OperationCS` `createOperationCS()` Returns a new object of class 'Operation CS'
`PackageDeclarationCS` `createPackageDeclarationCS()` Returns a new object of class 'Package Declaration CS'
`PathNameCS` `createPathNameCS()` Returns a new object of class 'Path Name CS'
`PrePostOrBodyDeclCS` `createPrePostOrBodyDeclCS()` Returns a new object of class 'Pre Post Or Body Decl CS'
`PrimitiveLiteralExpCS` `createPrimitiveLiteralExpCS()` Returns a new object of class 'Primitive Literal Exp CS'
`PrimitiveTypeCS` `createPrimitiveTypeCS()` Returns a new object of class 'Primitive Type CS'
`PropertyContextCS` `createPropertyContextCS()` Returns a new object of class 'Property Context CS'
`RealLiteralExpCS` `createRealLiteralExpCS()` Returns a new object of class 'Real Literal Exp CS'
`SimpleNameCS` `createSimpleNameCS()` Returns a new object of class 'Simple Name CS'
`StateExpCS` `createStateExpCS()` Returns a new object of class 'State Exp CS'
`StringLiteralExpCS` `createStringLiteralExpCS()` Returns a new object of class 'String Literal Exp CS'
`TupleLiteralExpCS` `createTupleLiteralExpCS()` Returns a new object of class 'Tuple Literal Exp CS'
`TupleTypeCS` `createTupleTypeCS()` Returns a new object of class 'Tuple Type CS'
`UnlimitedNaturalLiteralExpCS` `createUnlimitedNaturalLiteralExpCS()` Returns a new object of class 'Unlimited Natural Literal Exp CS'
`VariableCS` `createVariableCS()` Returns a new object of class 'Variable CS'
`VariableExpCS` `createVariableExpCS()` Returns a new object of class 'Variable Exp CS'
`CSTPackage` `getCSTPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final CSTFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createPackageDeclarationCS

    PackageDeclarationCS createPackageDeclarationCS()

  Returns a new object of class 'Package Declaration CS'.

  Returns:
    a new object of class 'Package Declaration CS'.

### createPathNameCS

    PathNameCS createPathNameCS()

  Returns a new object of class 'Path Name CS'.

  Returns:
    a new object of class 'Path Name CS'.

### createPropertyContextCS

    PropertyContextCS createPropertyContextCS()

  Returns a new object of class 'Property Context CS'.

  Returns:
    a new object of class 'Property Context CS'.

### createSimpleNameCS

    SimpleNameCS createSimpleNameCS()

  Returns a new object of class 'Simple Name CS'.

  Returns:
    a new object of class 'Simple Name CS'.

### createClassifierContextDeclCS

    ClassifierContextDeclCS createClassifierContextDeclCS()

  Returns a new object of class 'Classifier Context Decl CS'.

  Returns:
    a new object of class 'Classifier Context Decl CS'.

### createOperationContextDeclCS

    OperationContextDeclCS createOperationContextDeclCS()

  Returns a new object of class 'Operation Context Decl CS'.

  Returns:
    a new object of class 'Operation Context Decl CS'.

### createOperationCS

    OperationCS createOperationCS()

  Returns a new object of class 'Operation CS'.

  Returns:
    a new object of class 'Operation CS'.

### createVariableCS

    VariableCS createVariableCS()

  Returns a new object of class 'Variable CS'.

  Returns:
    a new object of class 'Variable CS'.

### createPrePostOrBodyDeclCS

    PrePostOrBodyDeclCS createPrePostOrBodyDeclCS()

  Returns a new object of class 'Pre Post Or Body Decl CS'.

  Returns:
    a new object of class 'Pre Post Or Body Decl CS'.

### createDerValueCS

    DerValueCS createDerValueCS()

  Returns a new object of class 'Der Value CS'.

  Returns:
    a new object of class 'Der Value CS'.

### createInitValueCS

    InitValueCS createInitValueCS()

  Returns a new object of class 'Init Value CS'.

  Returns:
    a new object of class 'Init Value CS'.

### createInvCS

    InvCS createInvCS()

  Returns a new object of class 'Inv CS'.

  Returns:
    a new object of class 'Inv CS'.

### createDefCS

    DefCS createDefCS()

  Returns a new object of class 'Def CS'.

  Returns:
    a new object of class 'Def CS'.

### createDefExpressionCS

    DefExpressionCS createDefExpressionCS()

  Returns a new object of class 'Def Expression CS'.

  Returns:
    a new object of class 'Def Expression CS'.

### createVariableExpCS

    VariableExpCS createVariableExpCS()

  Returns a new object of class 'Variable Exp CS'.

  Returns:
    a new object of class 'Variable Exp CS'.

### createIsMarkedPreCS

    IsMarkedPreCS createIsMarkedPreCS()

  Returns a new object of class 'Is Marked Pre CS'.

  Returns:
    a new object of class 'Is Marked Pre CS'.

### createPrimitiveTypeCS

    PrimitiveTypeCS createPrimitiveTypeCS()

  Returns a new object of class 'Primitive Type CS'.

  Returns:
    a new object of class 'Primitive Type CS'.

### createTupleTypeCS

    TupleTypeCS createTupleTypeCS()

  Returns a new object of class 'Tuple Type CS'.

  Returns:
    a new object of class 'Tuple Type CS'.

### createCollectionTypeCS

    CollectionTypeCS createCollectionTypeCS()

  Returns a new object of class 'Collection Type CS'.

  Returns:
    a new object of class 'Collection Type CS'.

### createLetExpCS

    LetExpCS createLetExpCS()

  Returns a new object of class 'Let Exp CS'.

  Returns:
    a new object of class 'Let Exp CS'.

### createIfExpCS

    IfExpCS createIfExpCS()

  Returns a new object of class 'If Exp CS'.

  Returns:
    a new object of class 'If Exp CS'.

### createMessageExpCS

    MessageExpCS createMessageExpCS()

  Returns a new object of class 'Message Exp CS'.

  Returns:
    a new object of class 'Message Exp CS'.

### createOCLMessageArgCS

    OCLMessageArgCS createOCLMessageArgCS()

  Returns a new object of class 'OCL Message Arg CS'.

  Returns:
    a new object of class 'OCL Message Arg CS'.

### createEnumLiteralExpCS

    EnumLiteralExpCS createEnumLiteralExpCS()

  Returns a new object of class 'Enum Literal Exp CS'.

  Returns:
    a new object of class 'Enum Literal Exp CS'.

### createCollectionLiteralExpCS

    CollectionLiteralExpCS createCollectionLiteralExpCS()

  Returns a new object of class 'Collection Literal Exp CS'.

  Returns:
    a new object of class 'Collection Literal Exp CS'.

### createCollectionLiteralPartCS

    CollectionLiteralPartCS createCollectionLiteralPartCS()

  Returns a new object of class 'Collection Literal Part CS'.

  Returns:
    a new object of class 'Collection Literal Part CS'.

### createTupleLiteralExpCS

    TupleLiteralExpCS createTupleLiteralExpCS()

  Returns a new object of class 'Tuple Literal Exp CS'.

  Returns:
    a new object of class 'Tuple Literal Exp CS'.

### createPrimitiveLiteralExpCS

    PrimitiveLiteralExpCS createPrimitiveLiteralExpCS()

  Returns a new object of class 'Primitive Literal Exp CS'.

  Returns:
    a new object of class 'Primitive Literal Exp CS'.

### createIntegerLiteralExpCS

    IntegerLiteralExpCS createIntegerLiteralExpCS()

  Returns a new object of class 'Integer Literal Exp CS'.

  Returns:
    a new object of class 'Integer Literal Exp CS'.

### createUnlimitedNaturalLiteralExpCS

    UnlimitedNaturalLiteralExpCS createUnlimitedNaturalLiteralExpCS()

  Returns a new object of class 'Unlimited Natural Literal Exp CS'.

  Returns:
    a new object of class 'Unlimited Natural Literal Exp CS'.

### createRealLiteralExpCS

    RealLiteralExpCS createRealLiteralExpCS()

  Returns a new object of class 'Real Literal Exp CS'.

  Returns:
    a new object of class 'Real Literal Exp CS'.

### createStringLiteralExpCS

    StringLiteralExpCS createStringLiteralExpCS()

  Returns a new object of class 'String Literal Exp CS'.

  Returns:
    a new object of class 'String Literal Exp CS'.

### createBooleanLiteralExpCS

    BooleanLiteralExpCS createBooleanLiteralExpCS()

  Returns a new object of class 'Boolean Literal Exp CS'.

  Returns:
    a new object of class 'Boolean Literal Exp CS'.

### createNullLiteralExpCS

    NullLiteralExpCS createNullLiteralExpCS()

  Returns a new object of class 'Null Literal Exp CS'.

  Returns:
    a new object of class 'Null Literal Exp CS'.

### createInvalidLiteralExpCS

    InvalidLiteralExpCS createInvalidLiteralExpCS()

  Returns a new object of class 'Invalid Literal Exp CS'.

  Returns:
    a new object of class 'Invalid Literal Exp CS'.

### createCollectionRangeCS

    CollectionRangeCS createCollectionRangeCS()

  Returns a new object of class 'Collection Range CS'.

  Returns:
    a new object of class 'Collection Range CS'.

### createCallExpCS

    CallExpCS createCallExpCS()

  Returns a new object of class 'Call Exp CS'.

  Returns:
    a new object of class 'Call Exp CS'.

### createLoopExpCS

    LoopExpCS createLoopExpCS()

  Returns a new object of class 'Loop Exp CS'.

  Returns:
    a new object of class 'Loop Exp CS'.

### createIteratorExpCS

    IteratorExpCS createIteratorExpCS()

  Returns a new object of class 'Iterator Exp CS'.

  Returns:
    a new object of class 'Iterator Exp CS'.

### createIterateExpCS

    IterateExpCS createIterateExpCS()

  Returns a new object of class 'Iterate Exp CS'.

  Returns:
    a new object of class 'Iterate Exp CS'.

### createFeatureCallExpCS

    FeatureCallExpCS createFeatureCallExpCS()

  Returns a new object of class 'Feature Call Exp CS'.

  Returns:
    a new object of class 'Feature Call Exp CS'.

### createOperationCallExpCS

    OperationCallExpCS createOperationCallExpCS()

  Returns a new object of class 'Operation Call Exp CS'.

  Returns:
    a new object of class 'Operation Call Exp CS'.

### createStateExpCS

    StateExpCS createStateExpCS()

  Returns a new object of class 'State Exp CS'.

  Returns:
    a new object of class 'State Exp CS'.

### createOCLDocumentCS

    OCLDocumentCS createOCLDocumentCS()

  Returns a new object of class 'OCL Document CS'.

  Returns:
    a new object of class 'OCL Document CS'.
  Since:
    1.3

### getCSTPackage

    CSTPackage getCSTPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.